**Property Grid Event Handling Demo**

Prerequisite: some experience working with Javascript.

This demo shows how to handle events from the various widgets in the property grid, and how to modify the contents of the widgets in the grid in response to those events.

The basic idea is that the property grid is laid out in "rows", indexed from 0.  The newfile_0.js file associated with this project shows how to listen to events from the widgets in each row of the grid, how to read the value of each widget, and how to change the value of other widgets.

Things to try in the demo:
* Change the Application Title. When you hit &lt;enter&gt; the text you typed into the row0 input box will be displayed in the upper left of the menubar.
* Select a value in the row3 droplist.  The value selected will be assigned to the row1 input box.
* check the row4 checkbox.  This will hide row0 of the grid.

Please import this project into GUI Composer, and see the newfile_0.js file
for the demo code required to interact with the property grid.

To see the console logs, run the application and hit F12 to open the Chrome Dev Tools debugger.  For more info on how to use the debugger, please see [Getting Started with Debugging Javascript](https://developers.google.com/web/tools/chrome-devtools/javascript) 


